Bug 457261 - Review Request: open-cobol - OpenCOBOL - COBOL compiler
Review Request: open-cobol - OpenCOBOL - COBOL compiler
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Horák
Fedora Extras Quality Assurance
:
Depends On: 457936
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-30 11:43 EDT by Jochen Schmitt
Modified: 2008-09-17 10:28 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-17 10:28:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dan: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jochen Schmitt 2008-07-30 11:43:57 EDT
Spec URL: http://www.herr-schmitt.de/pub/open-cobol/open-cobol/open-cobol.spec
SRPM URL: http://www.herr-schmitt.de/pub/open-cobol/open-cobol/open-cobol-1.0-1.fc9.src.rpm

Description:
penCOBOL is an open-source COBOL compiler, which translates COBOL
programs to C code and compiles it using GCC.
Comment 1 Dan Horák 2008-07-30 12:04:47 EDT
quick notes
- the URLs doesn't work, they have twice "open-cobol"
- Group: is used twice in libcob package
- wrong Source: URL - see
https://fedoraproject.org/wiki/Packaging/SourceURL#Sourceforge.net
Comment 2 Jochen Schmitt 2008-07-30 12:18:16 EDT
Thank you for your guick response. I have fixed the reported issues.

As an additional information: rpmlint may compaint, that open-cobol may depend
of libcob-devel. The resean is, that cobc will compiled the COBOL programs in C
first, before they may compiled in an executable form.

New upaloaded files:

Spec URL: http://www.herr-schmitt.de/pub/open-cobol/open-cobol/open-cobol.spec
SRPM URL:
http://www.herr-schmitt.de/pub/open-cobol/open-cobol/open-cobol-1.0-2.fc9.src.rpm
Comment 3 Dan Horák 2008-07-30 14:19:14 EDT
OK	source files match upstream:
	    4c0930a74e92014317b2f237aaedc90acc2b72df  open-cobol-1.0.tar.gz
OK	package meets naming and versioning guidelines.
OK	specfile is properly named, is cleanly written and uses macros consistently.
OK	dist tag is present.
OK	build root is correct.
BAD	license field matches the actual license.
OK	license is open source-compatible. License text included in package.
OK	latest version is being packaged.
OK	BuildRequires are proper.
BAD	compiler flags are appropriate.
OK	%clean is present.
OK	package builds in mock (Rawhide/x86_64).
BAD	debuginfo package looks complete.
BAD	rpmlint is silent.
OK	final provides and requires look sane.
N/A*	%check is present and all tests pass.
OK	shared libraries are added to the regular linker search paths.
OK	owns the directories it creates.
OK	doesn't own any directories it shouldn't.
OK	no duplicates in %files.
OK	file permissions are appropriate.
OK	correct scriptlets present.
OK	code, not content.
OK	documentation is small, so no -docs subpackage is necessary.
OK	%docs are not necessary for the proper functioning of the package.
OK	headers in devel.
OK	no pkgconfig files.
OK	no libtool .la droppings.
OK	not a GUI app.

- you should specify License: GPLv2+ and LGPLv2+, because the library is LGPLed,
    or use additional License tag for libcob and libcob-devel packages
- "-g" is filtered-out from the CFLAGS and this is the cause for incomplete
debuginfo too
- rpmlint complains
open-cobol.src: W: mixed-use-of-spaces-and-tabs (spaces: line 10, tab: line 1)

libcob.x86_64: W: spurious-executable-perm /usr/share/doc/libcob-1.0/COPYING.LIB
open-cobol.x86_64: W: spurious-executable-perm
/usr/share/doc/open-cobol-1.0/ChangeLog
open-cobol.x86_64: W: spurious-executable-perm /usr/share/doc/open-cobol-1.0/COPYING
open-cobol.x86_64: W: spurious-executable-perm /usr/share/doc/open-cobol-1.0/AUTHORS
open-cobol.x86_64: W: spurious-executable-perm /usr/share/doc/open-cobol-1.0/THANKS
open-cobol.x86_64: W: spurious-executable-perm /usr/share/doc/open-cobol-1.0/README
open-cobol.x86_64: W: spurious-executable-perm /usr/share/doc/open-cobol-1.0/NEWS
    run chmod a-x on these files, the same action will be required for the
sources (*.{c,h})
    that will go into debuginfo sub-package

open-cobol.x86_64: E: devel-dependency libcob-devel
    OK, explained in comment #2

- the package contains a test-suite - could it be run during the build?


- running configure prints "configure: WARNING: Unrecognized options:
--with-readline"
Comment 4 Jochen Schmitt 2008-07-30 15:01:30 EDT
Thank you for your hints. Unfortunately I have got an issue with the test suite.
I have reported this issue on the upstream's mailing list.

Of cOuse you may look into the produced log at:

http.//www.herr-schmitt.de/pub/open-cobol/run.log

Comment 5 Jochen Schmitt 2008-08-05 13:37:12 EDT
I have try to suppres the output of the failing test #98. Unfortunately, I have to recorgnise a bug in autotest which is reported at BZ #457936. this issue occurs only on rawhide.

New upaloaded files:

Spec URL: http://www.herr-schmitt.de/pub/open-cobol/open-cobol/open-cobol.spec
SRPM URL:
http://www.herr-schmitt.de/pub/open-cobol/open-cobol/open-cobol-1.0-3.fc9.src.rpm
Comment 6 Dan Horák 2008-08-06 04:41:40 EDT
For the test-suite it is possible to do the review with the one test failing (just comment out the %check section from the spec) and only wait for a solution before building the package. Does the test #98 fail only on rawhide or in F-9/8 too?

But there are still unresolved issues from comment #3
- wrong license tag
- "-g" is filtered out from the CFLAGS during running configure (should be solvable with appending --enable-debug)
- incomplete debuginfo (depends on the CFLAGS issue), will require "chmod a-x" for all *.c and *.h files
- excessive --with-readline as an parameter for configure
Comment 7 Jochen Schmitt 2008-08-14 11:31:15 EDT
The upstream have created a new prerelease of the upcomming version 1.1 of opencobol which should solve the knewn issues.

I have created packages based on this prerelease.

New upaloaded files:

Spec URL: http://www.herr-schmitt.de/pub/open-cobol/open-cobol/open-cobol.spec
SRPM URL:
http://www.herr-schmitt.de/pub/open-cobol/open-cobol/open-cobol-1.0.90-1.fc9.src.rpm
Comment 8 Dan Horák 2008-08-14 12:23:03 EDT
open-cobol-1.0.90-1.fc9.src.rpm looks broken to me (size 966401 bytes), I can't rebuild it or open in midnight commander.
Comment 9 Jochen Schmitt 2008-08-14 14:26:24 EDT
Sorry for this mistake, I have uploaded the source rpm again and have double checked the upload
Comment 10 Dan Horák 2008-08-15 04:18:18 EDT
Only 2 small issues remaining:
open-cobol package should have
Requires:       libcob = %{version}
instead of
Requires:       libcob-devel = %{version}

and from rpmlint output:
open-cobol.src: W: mixed-use-of-spaces-and-tabs (spaces: line 15, tab: line 3)
=> please fix

open-cobol.x86_64: W: devel-file-in-non-devel-package /usr/include/libcob/common.h
open-cobol.x86_64: W: devel-file-in-non-devel-package /usr/include/libcob/intrinsic.h
open-cobol.x86_64: W: devel-file-in-non-devel-package /usr/include/libcob/fileio.h
open-cobol.x86_64: W: devel-file-in-non-devel-package /usr/include/libcob/call.h
open-cobol.x86_64: W: devel-file-in-non-devel-package /usr/include/libcob.h
open-cobol.x86_64: W: devel-file-in-non-devel-package /usr/include/libcob/termio.h
open-cobol.x86_64: W: devel-file-in-non-devel-package /usr/include/libcob/move.h
open-cobol.x86_64: W: devel-file-in-non-devel-package /usr/bin/cob-config
open-cobol.x86_64: W: devel-file-in-non-devel-package /usr/include/libcob/strings.h
open-cobol.x86_64: W: devel-file-in-non-devel-package /usr/include/libcob/codegen.h
open-cobol.x86_64: W: devel-file-in-non-devel-package /usr/lib64/libcob.so
open-cobol.x86_64: W: devel-file-in-non-devel-package /usr/include/libcob/byteswap.h
open-cobol.x86_64: W: devel-file-in-non-devel-package /usr/include/libcob/numeric.h
open-cobol.x86_64: W: devel-file-in-non-devel-package /usr/include/libcob/screenio.h
open-cobol.x86_64: E: devel-dependency glibc-devel
=> these are OK, open-cobol is in fact a "devel" package

If I understand it correctly then compiled COBOL programs will be linked with the libcob.so.1 library and thus depend only on the libcob subpackage (= runtime environment for Open-COBOL compiled programs).
Comment 11 Jochen Schmitt 2008-08-17 14:12:13 EDT
The COBOL programm will first translated into a C programm. Then this C programm will be compiled into an executable. The library libcob.so contains the runtine environment for the COBOL programm.

New upaloaded files:

Spec URL: http://www.herr-schmitt.de/pub/open-cobol/open-cobol/open-cobol.spec
SRPM URL:
http://www.herr-schmitt.de/pub/open-cobol/open-cobol/open-cobol-1.0.90-2.fc9.src.rpm
Comment 12 Dan Horák 2008-08-25 04:43:57 EDT
all issues are fixed now, so this package is APPROVED
Comment 13 Jochen Schmitt 2008-09-08 12:02:55 EDT
New Package CVS Request
=======================
Package Name:open-cobol
Short Description: OpenCOBOL - COBOL Compiler
Owners:s4504kr
Branches:F-9, F-8
InitialCC:
Packager Commits: yes
Comment 14 Kevin Fenzi 2008-09-09 19:47:21 EDT
cvs done.
Comment 15 Jochen Schmitt 2008-09-17 10:28:12 EDT
Imported and built

Note You need to log in before you can comment on or make changes to this bug.